const express = require('express');
const router = express.Router();
const SheepsController = require('../controllers/sheeps.controller');
const authenticate = require("../middleware/auth");

router
    .route('/')
    .get(authenticate, SheepsController.getSheep)
    .post(authenticate, SheepsController.createSheep)
    .put(authenticate, SheepsController.updateSheep)
    .delete(authenticate, SheepsController.deleteSheep);


router
    .route('/list')
    .get(authenticate, SheepsController.getList);

router
    .route('/list/stand')
    .get(authenticate, SheepsController.getListStand);

module.exports = router;